Trash A Folder
DELETE
/folders/{folderId}/trash
const url = 'https://markdawn.space/api/v1/folders/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/trash?force=false';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url 'https://markdawn.space/api/v1/folders/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/trash?force=false' \ --header 'Authorization: Bearer <token>'Moves an accessible folder and its subtree to Trash. Set force to true to confirm recursive deletion when the folder is not empty.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”folderId
required
string format: uuid
The UUID of the folder.
Query Parameters
Section titled “Query Parameters”force
boolean
Confirm that non-empty folders and their contents may be moved to Trash.
Responses
Section titled “Responses”Confirmation that the folder was moved to Trash.
Media typeapplication/json
object
deleted
required
boolean
Example
{ "deleted": true}The API token is missing a required scope: pages:write.
Media typeapplication/json
Structured error returned when the request cannot be completed.
object
error
required
Error details for programmatic handling.
object
code
required
Stable error code.
string
message
required
Human-readable explanation.
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}The folder is not empty. Set force=true to confirm recursive deletion.